gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Flags

Contents

- Flags
  - HyperlinkStateFlags

Description

Synopsis

- data HyperlinkStateFlags
  - = HyperlinkStateFlagsInline
  - | AnotherHyperlinkStateFlags Int

# Flags

## HyperlinkStateFlags

data HyperlinkStateFlags Source #

Describes the type of link

Constructors

HyperlinkStateFlagsInline | Link is inline
AnotherHyperlinkStateFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum HyperlinkStateFlags Source # |

Instance details

Defined in GI.Atk.Flags

Methods

succ :: HyperlinkStateFlags -> HyperlinkStateFlags Source #

pred :: HyperlinkStateFlags -> HyperlinkStateFlags Source #

toEnum :: Int -> HyperlinkStateFlags Source #

fromEnum :: HyperlinkStateFlags -> Int Source #

enumFrom :: HyperlinkStateFlags -> [HyperlinkStateFlags] Source #

enumFromThen :: HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags] Source #

enumFromTo :: HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags] Source #

enumFromThenTo :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags -> [HyperlinkStateFlags] Source #

Show HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods showsPrec :: Int -> HyperlinkStateFlags -> ShowS Source # show :: HyperlinkStateFlags -> String Source # showList :: [HyperlinkStateFlags] -> ShowS Source #
Eq HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods (==) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source # (/=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source #
Ord HyperlinkStateFlags Source # |

Instance details

Defined in GI.Atk.Flags

Methods

compare :: HyperlinkStateFlags -> HyperlinkStateFlags -> Ordering Source #

(<) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source #

(<=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source #

(>) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source #

(>=) :: HyperlinkStateFlags -> HyperlinkStateFlags -> Bool Source #

max :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags Source #

min :: HyperlinkStateFlags -> HyperlinkStateFlags -> HyperlinkStateFlags Source #

BoxedFlags HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
IsGFlag HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
TypedObject HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags Methods glibType :: IO GType Source #
HasParentTypes HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags
type ParentTypes HyperlinkStateFlags Source # |
Instance details Defined in GI.Atk.Flags type ParentTypes HyperlinkStateFlags = '[] :: [Type]